Documents
Option Value List
Returns all option values attached to the entity named in the path. This endpoint does not paginate.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
entityType*string
Type of the owning entity, e.g. "DocumentSolutionConfiguration" or "DocumentTemplate".
entityId*string
GUID of the owning entity.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/documents/option/DocumentSolutionConfiguration/a3bb189e-8bf9-3888-9912-ace4e6543002/list"{ "result": { "data": { "optionValues": [ { "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a", "entityType": "DocumentSolutionConfiguration", "entityId": "a3bb189e-8bf9-3888-9912-ace4e6543002", "optionDefinitionId": "", "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL", "effectiveKey": "watermark.text", "effectiveGroup": "rendering", "systemType": "string", "createdDate": "2026-07-14T09:30:00.000Z", "lastModifiedDate": "2026-07-14T09:30:00.000Z" } ], "rowCount": 1 }, "statusCode": 200, "message": "OK" }, "origin": "GET https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/list", "dateTime": "2026-07-14T09:30:00.000Z", "operationId": "03fcd51a2cdf8b44047edcf799a3d105", "userId": "2e7d754a-f653-4758-9323-0339c679e14f"}{ "userId": "7f1ec6f9-5ce7-45df-8f5f-42c0643a2f69", "error": { "statusCode": 400, "message": "Name is required.", "innerErrors": [ { "code": "DATA_NAME_REQUIRED", "message": "Name is required.", "userMessage": "Name is required." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/list", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "a45f598eabcd5eccd49f4c7fde9e0331"}{ "error": { "statusCode": 401, "message": "The request could not be authenticated.", "innerErrors": [ { "code": "UNAUTHORIZED", "message": "The request could not be authenticated.", "userMessage": "Your session has expired or is invalid. Please sign in again." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/list", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "163c631aaf25b1a8efad729807c93205", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "statusCode": 404, "message": "The requested resource was not found.", "innerErrors": [ { "code": "NOT_FOUND_BY_ID", "message": "The requested resource was not found.", "userMessage": "We couldn't find that resource. Check the id and try again." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/list", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "f44f73635354b5d73d9e011e5e526b6a", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "userId": "40f9212b-6d1a-4350-9e17-0449a9f7b9eb", "error": { "statusCode": 500, "message": "An unexpected error occurred.", "innerErrors": [ { "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "userMessage": "An unexpected error occurred." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/option/{entityType}/{entityId}/list", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "925d48dd515f2836a3cde81867def5a3"}